Subject: Re: [PATCH] contrib: Honor symbolic port in git-credential-netrc.

From: Junio C Hamano <[email-masked]>
Date: Fri, 20 Jun 2025 09:39:12 -0700

Andreas Schwab <[email-masked]> writes:

> On Jun 20 2025, Junio C Hamano wrote:
>
>> Do we know symbolic port names are always limited to alnums?  Or on
>> some systems some byte values in the fringe, like "_" or "-", are
>> also allowed?
>
> Valid service names are documented in RFC6335.  Specifically it allows
> hyphens, but not underscores.

Yes, something like that is what I wanted the original contributor
to write in the proposed log message to explain how the loosened
rule for accepted "port" was chosen (and relize that alnum is not
sufficient).

Thanks.